sources:
  - type: swift
    name: !env '${UPLOAD_CONTAINER}'
    kwargs:
        username: !env '${OS_USERNAME}'
        password: !env '${OS_PASSWORD}'
        tenant_name: !env '${OS_TENANT_NAME}'
        tenant_id: !env '${OS_TENANT_ID}'
        region_name: !env '${OS_REGION_NAME}'
        auth_version: !env '${ST_AUTH_VERSION}'
        auth_url: !env '${OS_AUTH_URL}'
        auth_url_short: !env '${OS_AUTH_URL_SHORT}'
        user_domain_name: !env '${OS_USER_DOMAIN_NAME}'
        container: !env '${UPLOAD_CONTAINER}'

schemes:
  - type: gsc

backends:
  - type: eoxserver
    filter:
    kwargs:
      instance_base_path: !env '${INSTALL_DIR}'
      instance_name: !env '${INSTANCE_NAME}'
      mapping:
        CS00:
          ~:
            product_type_name: !env '${COLLECTION}_Product_CS00'
            collections:
              - !env '${COLLECTION}'
            coverages:
              CS00: sar_hh_gray
        CS01:
          ~:
            product_type_name: !env '${COLLECTION}_Product_CS01'
            collections:
              - !env '${COLLECTION}'
            coverages:
              CS01: sar_hh_gray
        CS02:
          ~:
            product_type_name: !env '${COLLECTION}_Product_CS02'
            collections:
              - !env '${COLLECTION}'
            coverages:
              CS02: sar_hh_gray
        CS03:
          ~:
            product_type_name: !env '${COLLECTION}_Product_CS03'
            collections:
              - !env '${COLLECTION}'
            coverages:
              CS03: sar_hh_gray
        CS04:
          ~:
            product_type_name: !env '${COLLECTION}_Product_CS04'
            collections:
              - !env '${COLLECTION}'
            coverages:
              CS04: sar_hh_gray
        DM01:
          ~:
            product_type_name: !env '${COLLECTION}_Product_DM01'
            collections:
              - !env '${COLLECTION}'
            coverages:
              DM01: RGNirByte
        DM02:
          ~:
            product_type_name: !env '${COLLECTION}_Product_DM02'
            collections:
              - !env '${COLLECTION}'
            coverages:
              DM02: RGBNir
        EQ02_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EQ02_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EQ02_3: RGB
        EQ02_4:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EQ02_4'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EQ02_4: RGBNir
        EW01:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW01'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW01: grayscale
        EW02_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW02_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW02_3: RGB
        EW02_4:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW02_4'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW02_4: RGBNir
        EW02_8:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW02_8'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW02_8: CBGYRReNirNir2
        EW03_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW03_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW03_3: RGB
        EW03_4:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW03_4'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW03_4: RGBNir
        EW03_8:
          ~:
            product_type_name: !env '${COLLECTION}_Product_EW03_8'
            collections:
              - !env '${COLLECTION}'
            coverages:
              EW03_8: CBGYRReNirNir2
        GE01_4:
          ~:
            product_type_name: !env '${COLLECTION}_Product_GE01_4'
            collections:
              - !env '${COLLECTION}'
            coverages:
              GE01_4: RGBNir
        GE01_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_GE01_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              GE01_3: RGB
        GE01_1:
          ~:
            product_type_name: !env '${COLLECTION}_Product_GE01_1'
            collections:
              - !env '${COLLECTION}'
            coverages:
              GE01_1: grayscale
        GY01:
          ~:
            product_type_name: !env '${COLLECTION}_Product_GY01'
            collections:
              - !env '${COLLECTION}'
            coverages:
              GY01: RGBNir
        IK02:
          ~:
            product_type_name: !env '${COLLECTION}_Product_IK02'
            collections:
              - !env '${COLLECTION}'
            coverages:
              IK02: RGBNir
        KS03:
          ~:
            product_type_name: !env '${COLLECTION}_Product_KS03'
            collections:
              - !env '${COLLECTION}'
            coverages:
              KS03: RGBNir
        PH1A:
          ~:
            product_type_name: !env '${COLLECTION}_Product_PH1A'
            collections:
              - !env '${COLLECTION}'
            coverages:
              PH1A: RGBNir
        PH1B:
          ~:
            product_type_name: !env '${COLLECTION}_Product_PH1B'
            collections:
              - !env '${COLLECTION}'
            coverages:
              PH1B: RGBNir
        RE00:
          ~:
            product_type_name: !env '${COLLECTION}_Product_RE00'
            collections:
              - !env '${COLLECTION}'
            coverages:
              RE00: BGRReNir
        RS02_2:
          ~:
            product_type_name: !env '${COLLECTION}_Product_RS02_2'
            collections:
              - !env '${COLLECTION}'
            coverages:
              RS02_2: sar_hh_gray
        RS02_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_RS02_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              RS02_3: sar_hh_vv_gray
        RS02_7:
          ~:
            product_type_name: !env '${COLLECTION}_Product_RS02_7'
            collections:
              - !env '${COLLECTION}'
            coverages:
              RS02_7: sar_hh_hv_vh_vv_rgb
        SP04:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SP04'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SP04: RGBNirByte
        SP05:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SP05'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SP05: RGNirByte
        SP06:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SP06'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SP06: RGBNir
        SP07:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SP07'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SP07: RGBNir
        SK00:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SK00'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SK00: RGBNir
        SW03:
          ~:
            product_type_name: !env '${COLLECTION}_Product_SW03'
            collections:
              - !env '${COLLECTION}'
            coverages:
              SW03: RGBNir
        PL00:
          ~:
            product_type_name: !env '${COLLECTION}_Product_PL00'
            collections:
              - !env '${COLLECTION}'
            coverages:
              PL00: RGBNir
        TX01_2:
          ~:
            product_type_name: !env '${COLLECTION}_Product_TX01_2'
            collections:
              - !env '${COLLECTION}'
            coverages:
              TX01_2: sar_hh_gray
        TX01_3:
          ~:
            product_type_name: !env '${COLLECTION}_Product_TX01_3'
            collections:
              - !env '${COLLECTION}'
            coverages:
              TX01_3: sar_hh_vv_gray
        TX01_7:
          ~:
            product_type_name: !env '${COLLECTION}_Product_TX01_7'
            collections:
              - !env '${COLLECTION}'
            coverages:
              TX01_7: sar_hh_hv_vh_vv_rgb

post_handlers:
  - path: registrar.post_handlers.ReportingPostHandler
    kwargs:
      service_url: emg.pass.copernicus.eu
      reporting_dir: /mnt/reports/
